Summary:	Utility for optimizing and compressing JPEG files
Summary(pl.UTF-8):	Program do optymalizacji i kompresji plików JPEG.
Name:		jpegoptim
Version:	1.5.5
Release:	1
License:	GPL v3+
Group:		Applications/Graphics
Source0:	https://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
# Source0-md5:	d756b8f407ac64f93a09f6155ba7959f
URL:		https://www.kokkonen.net/tjko/projects.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jpegoptim can optimize and compress jpeg files. Program supports
lossless optimization, which is based on optimizing the Huffman
tables. So called, "lossy" optimization (compression) is done by
re-encoding the image using user specified image quality factor.

%description -l pl.UTF-8
Jpegoptim potrafi optymalizować i kompresować pliki jpeg. Program
dokonuje bezstratnej optymalizacji opartej na optymalizacji tablic
Huffmana. Optymalizacja stratna (kompresja) jest dokonywana przez
przekodowanie obrazu z podaną przez użytkownika jakością.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub aux
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%attr(755,root,root) %{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*
%changelog
* Wed May 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jpegoptim.git;a=log;h=master

* Wed May 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 1ee303d
- updated to 1.5.5

* Wed May 20 2015 Łukasz Kieś <kiesiu@pld-linux.org> 949e335
- updated to 1.4.3

* Wed Feb 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0577aae
- up to 1.4.2

* Sat Jun 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 820a057
- updated to 1.4.1
- removed obsolete format patch

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d1c223
- updated to 1.4.0
- added format patch (fixes build with -Werror=format-security)

* Tue Apr 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 4764157
- updated to 1.3.1

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> b97ce35
- updated to 1.3.0

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> d78377e
- updated to 1.2.5

* Fri Jul 08 2011 Elan Ruusamäe <glen@pld-linux.org> aeb9c70
- up to 1.2.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b9cc722
- dropped pre-cvs changelog

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3397f18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6793261
- converted to UTF-8

* Sat Jan 24 2004 undefine <undefine@pld-linux.org> 7c06fd7
- copy config.sub, release 2

* Thu Aug 21 2003 Jakub Bogusz <qboosh@pld-linux.org> 470b519
- cosmetics/cleanups

* Wed Aug 20 2003 undefine <undefine@pld-linux.org> 07df60b
- initial pld version by ytm

